Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.aspose.j2me.barcode.recognition
Class BarCodeReadType

    java.lang.Object
      com.aspose.j2me.barcode.recognition.BarCodeReadType

public final class BarCodeReadType
extends java.lang.Object

Specification the type of barcode. Example: Multiple types

     [Example]
      FileConnection fc = (FileConnection)Connector.open("file://localhost/images/bar1.png");

      java.io.InputStream inputstream = fc.openInputStream();

       Image img = javax.microedition.lcdui.Image.createImage(inputstream);

       inputstream.close();

       fc.close();

       BarCodeReader reader = new BarCodeReader(img, BarCodeReadType.Code39Standard);

       if(reader.read())

       {

           System.out.println( reader.getCodeText());

       }

Field Summary
`static BarCodeReadType` | `AustraliaPost` Australia Post 4 State BarCode Type
`static BarCodeReadType` | `BooklandEAN` BooklanEAN barcode type
`static BarCodeReadType` | `Codabar` Codabar barcode type
`static BarCodeReadType` | `Code11` Code11 barcode type
`static BarCodeReadType` | `Code128` Code128 barcode type
`static BarCodeReadType` | `Code39Extended` Code39 Extended barcode type
`static BarCodeReadType` | `Code39Standard` Code39 Standard barcode type
`static BarCodeReadType` | `Code93Extended` Code93 Extended barcode type
`static BarCodeReadType` | `Code93Standard` Code93 Standard barcode type
`static BarCodeReadType` | `DataMatrix` GS-1 Datamatrix barcode type
`static BarCodeReadType` | `DeutschePostIdentcode`
`static BarCodeReadType` | `EAN128` EAN128 barcode type
`static BarCodeReadType` | `EAN13` EAN13 barcode type
`static BarCodeReadType` | `EAN14` EAN13 barcode type
`static BarCodeReadType` | `EAN8` EAN8 barcode type
`static BarCodeReadType` | `Empty` An empty type
`static BarCodeReadType` | `Interleaved2Of5` Interleaved2Of5 barcode type
`static BarCodeReadType` | `ITF14` ITF14 barcode type
`static BarCodeReadType` | `MacroPdf417` Macro Pdf417 barcode type
`static BarCodeReadType` | `Matrix2of5` Matrix2of5 barcode type
`static BarCodeReadType` | `MSI` MSI barcode type
`static BarCodeReadType` | `OneCode` USPS OneCode barcode type
`static BarCodeReadType` | `Pdf417` Pdf417 barcode type
`static BarCodeReadType` | `Planet` Planet barcode type
`static BarCodeReadType` | `Postnet` Postnet barcode type
`static BarCodeReadType` | `PZN` PZN BarCodeReadType
`static BarCodeReadType` | `QR` QR barcode type
`static BarCodeReadType` | `SSCC18` SSCC18 barcode type
`static BarCodeReadType` | `Standard2of5` Standard2Of5 barcode type not supported
`static BarCodeReadType` | `Supplement` 2 or 5 digits as Supplement in UPCA/EAN13
`static BarCodeReadType` | `UPCA` UPCA barcode type
`static BarCodeReadType` | `UPCE` UPCE barcode type

Method Summary
`BarCodeReadType` | `append(BarCodeReadType type)` Append another ReadType into current type
`boolean` | `equals(BarCodeReadType type2)`
`boolean` | `equals(java.lang.Object obj)`
`static BarCodeReadType` | `parse(java.lang.String name)` Parse a the type name into BarCodeReadType instance.
`java.lang.String` | `toString()` Gets the name in String

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### Empty

    public static final BarCodeReadType Empty

  An empty type

### AustraliaPost

    public static final BarCodeReadType AustraliaPost

  Australia Post 4 State BarCode Type

### BooklandEAN

    public static final BarCodeReadType BooklandEAN

  BooklanEAN barcode type

### Codabar

    public static final BarCodeReadType Codabar

  Codabar barcode type

### Code11

    public static final BarCodeReadType Code11

  Code11 barcode type

### Code128

    public static final BarCodeReadType Code128

  Code128 barcode type

### Code39Standard

    public static final BarCodeReadType Code39Standard

  Code39 Standard barcode type

### Code39Extended

    public static final BarCodeReadType Code39Extended

  Code39 Extended barcode type

### Code93Standard

    public static final BarCodeReadType Code93Standard

  Code93 Standard barcode type

### Code93Extended

    public static final BarCodeReadType Code93Extended

  Code93 Extended barcode type

### DataMatrix

    public static final BarCodeReadType DataMatrix

  GS-1 Datamatrix barcode type

### EAN128

    public static final BarCodeReadType EAN128

  EAN128 barcode type

### EAN13

    public static final BarCodeReadType EAN13

  EAN13 barcode type

### EAN14

    public static final BarCodeReadType EAN14

  EAN13 barcode type

### EAN8

    public static final BarCodeReadType EAN8

  EAN8 barcode type

### Interleaved2Of5

    public static final BarCodeReadType Interleaved2Of5

  Interleaved2Of5 barcode type

### ITF14

    public static final BarCodeReadType ITF14

  ITF14 barcode type

### MacroPdf417

    public static final BarCodeReadType MacroPdf417

  Macro Pdf417 barcode type

### MSI

    public static final BarCodeReadType MSI

  MSI barcode type

### OneCode

    public static final BarCodeReadType OneCode

  USPS OneCode barcode type

### Planet

    public static final BarCodeReadType Planet

  Planet barcode type

### Pdf417

    public static final BarCodeReadType Pdf417

  Pdf417 barcode type

### Postnet

    public static final BarCodeReadType Postnet

  Postnet barcode type

### QR

    public static final BarCodeReadType QR

  QR barcode type

### SSCC18

    public static final BarCodeReadType SSCC18

  SSCC18 barcode type

### Standard2of5

    public static final BarCodeReadType Standard2of5

  Standard2Of5 barcode type not supported

### UPCA

    public static final BarCodeReadType UPCA

  UPCA barcode type

### UPCE

    public static final BarCodeReadType UPCE

  UPCE barcode type

### Supplement

    public static final BarCodeReadType Supplement

  2 or 5 digits as Supplement in UPCA/EAN13

### Matrix2of5

    public static final BarCodeReadType Matrix2of5

  Matrix2of5 barcode type

### PZN

    public static final BarCodeReadType PZN

  PZN BarCodeReadType

### DeutschePostIdentcode

    public static final BarCodeReadType DeutschePostIdentcode

Method Detail

### append

    public BarCodeReadType append(BarCodeReadType type)

  Append another ReadType into current type

  Parameters:
    `type` - the other type to append

### parse

    public static BarCodeReadType parse(java.lang.String name)

  Parse a the type name into BarCodeReadType instance.

  Parameters:
    `name` - the name of the type
  Returns:
    the BarCodeType instance. BarCodeType.Empty if the name is not valid Example

                                                                                                                                                                 [Example]
                                                                                                                                                                        System.out.println(BarCodeReadType.parse("OneCode").toString());

    The output is : OneCode

### toString

    public java.lang.String toString()

  Gets the name in String

  Returns:
    String value of the BarCodeType instance Example

                                                                                                                                                                                 [Example]
                                                                                                                                                                                 System.out.println(BarCodeReadType.AustraliaPost.toString());

    The output is "AustraliaPost"

### equals

    public boolean equals(java.lang.Object obj)

### equals

    public boolean equals(BarCodeReadType type2)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD